# YAMLValue (SubServers.Bungee)

net.ME1312.SubServers.Bungee.Library.Config

## Class YAMLValue

- java.lang.Object
- - net.ME1312.SubServers.Bungee.Library.Config.YAMLValue

    public class YAMLValue
    extends java.lang.Object

YAML Value Class

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `asBoolean()` Get Object as Boolean
`java.util.List<java.lang.Boolean>` `asBooleanList()` Get Object as List
`java.lang.String` `asColoredString(char color)` Get Object as Colored String
`java.util.List<java.lang.String>` `asColoredStringList(char color)` Get Object as Colored String List
`double` `asDouble()` Get Object as Double
`java.util.List<java.lang.Double>` `asDoubleList()` Get Object as Double List
`float` `asFloat()` Get Object as Float
`java.util.List<java.lang.Float>` `asFloatList()` Get Object as Float List
`int` `asInt()` Get Object as Integer
`java.util.List<java.lang.Integer>` `asIntList()` Get Object as Integer List
`long` `asLong()` Get Object as Long
`java.util.List<java.lang.Long>` `asLongList()` Get Object as Long List
`java.lang.Object` `asObject()` Get Object
`java.util.List<?>` `asObjectList()` Get Object as List
`java.lang.String` `asRawString()` Get Object as Unparsed String
`java.util.List<java.lang.String>` `asRawStringList()` Get Object as Unparsed String List
`YAMLSection` `asSection()` Get Object as YAML Section
`java.util.List<YAMLSection>` `asSectionList()` Get Object as YAML Section List
`java.lang.String` `asString()` Get Object as String
`java.util.List<java.lang.String>` `asStringList()` Get Object as String List
`java.util.UUID` `asUUID()` Get Object as UUID
`java.util.List<java.util.UUID>` `asUUIDList()`
`YAMLSection` `getDefiningSection()` Get the YAML Section this Object was defined in
`boolean` `isBoolean()` Check if object is a Boolean
`boolean` `isDouble()` Check if object is a Double
`boolean` `isFloat()` Check if object is a Float
`boolean` `isInt()` Check if object is an Integer
`boolean` `isList()` Check if object is a List
`boolean` `isLong()` Check if object is a Long
`boolean` `isSection()` Check if object is a YAML Section
`boolean` `isString()` Check if object is a String
`boolean` `isUUID()` Check if object is a UUID
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getDefiningSection

    public YAMLSection getDefiningSection()

Get the YAML Section this Object was defined in

Returns:
  YAML Section

#### asObject

    public java.lang.Object asObject()

Get Object

Returns:
  Object

#### asObjectList

    public java.util.List<?> asObjectList()

Get Object as List

Returns:
  List

#### asBoolean

    public boolean asBoolean()

Get Object as Boolean

Returns:
  Boolean

#### asBooleanList

    public java.util.List<java.lang.Boolean> asBooleanList()

Get Object as List

Returns:
  List

#### asSection

    public YAMLSection asSection()

Get Object as YAML Section

Returns:
  YAML Section

#### asSectionList

    public java.util.List<YAMLSection> asSectionList()

Get Object as YAML Section List

Returns:
  YAML Section List

#### asDouble

    public double asDouble()

Get Object as Double

Returns:
  Double

#### asDoubleList

    public java.util.List<java.lang.Double> asDoubleList()

Get Object as Double List

Returns:
  Double List

#### asFloat

    public float asFloat()

Get Object as Float

Returns:
  Float

#### asFloatList

    public java.util.List<java.lang.Float> asFloatList()

Get Object as Float List

Returns:
  Float List

#### asInt

    public int asInt()

Get Object as Integer

Returns:
  Integer

#### asIntList

    public java.util.List<java.lang.Integer> asIntList()

Get Object as Integer List

Returns:
  Integer List

#### asLong

    public long asLong()

Get Object as Long

Returns:
  Long

#### asLongList

    public java.util.List<java.lang.Long> asLongList()

Get Object as Long List

Returns:
  Long List

#### asRawString

    public java.lang.String asRawString()

Get Object as Unparsed String

Returns:
  Unparsed String

#### asRawStringList

    public java.util.List<java.lang.String> asRawStringList()

Get Object as Unparsed String List

Returns:
  Unparsed String List

#### asString

    public java.lang.String asString()

Get Object as String

Returns:
  String

#### asStringList

    public java.util.List<java.lang.String> asStringList()

Get Object as String List

Returns:
  String List

#### asColoredString

    public java.lang.String asColoredString(char color)

Get Object as Colored String

Parameters:
  `color` - Color Char to parse
Returns:
  Colored String

#### asColoredStringList

    public java.util.List<java.lang.String> asColoredStringList(char color)

Get Object as Colored String List

Parameters:
  `color` - Color Char to parse
Returns:
  Colored String List

#### asUUID

    public java.util.UUID asUUID()

Get Object as UUID

Returns:
  UUID

#### asUUIDList

    public java.util.List<java.util.UUID> asUUIDList()

#### isBoolean

    public boolean isBoolean()

Check if object is a Boolean

Returns:
  Boolean Status

#### isSection

    public boolean isSection()

Check if object is a YAML Section

Returns:
  YAML Section Status

#### isDouble

    public boolean isDouble()

Check if object is a Double

Returns:
  Double Status

#### isFloat

    public boolean isFloat()

Check if object is a Float

Returns:
  Float Status

#### isInt

    public boolean isInt()

Check if object is an Integer

Returns:
  Integer Status

#### isList

    public boolean isList()

Check if object is a List

Returns:
  List Status

#### isLong

    public boolean isLong()

Check if object is a Long

Returns:
  Long Status

#### isString

    public boolean isString()

Check if object is a String

Returns:
  String Status

#### isUUID

    public boolean isUUID()

Check if object is a UUID

Returns:
  UUID Status

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`